package methodsObjects;

public class Person {
	public static double MINIMUM_SALARY = 1000.00;
	private String name;
	private double salary;
	private StringBuffer calls;

	public Person(String name, double salary) {
		this.name = name;
		this.salary = salary;
		calls = new StringBuffer("Calls: ");
	}

	public Person(String name) {
		this(name, MINIMUM_SALARY);
	}

	public Person increaseSalary(double delta) {
		salary += delta;

		/* Returning reference to current object */
		return this;
	}

	public void addCall(String newCall) {
		calls.append(newCall);
	}

	public String toString() {
		return name + ", $" + salary + ", " + calls;
	}
}