package twoDimArrays;

import java.util.Arrays;

public class Driver {

	public static void decrease(int[][] allScores, int delta, Cat[][] allCats) {
		for (int row = 0; row < allScores.length; row++) {
			for (int col = 0; col < allScores[row].length; col++) {
				allScores[row][col] -= delta;
			}
		}

		allCats[1][2].decreaseLives();
		/* HERE */
	}

	public static void main(String[] args) {
		int[][] scores = { { 90, 85 }, { 10, 30, 40 } };

		Cat[][] cats = new Cat[2][];
		cats[0] = new Cat[2];
		cats[1] = new Cat[3];
		cats[0][1] = new Cat("Garfield");
		cats[1][2] = new Cat("Fluffy");

		decrease(scores, 5, cats);

		String answer = "Scores:\n";
		for (int i = 0; i < scores.length; i++) {
			answer += Arrays.toString(scores[i]) + "\n";
		}

		answer += "\nCats:\n";
		for (int row = 0; row < cats.length; row++) {
			for (int col = 0; col < cats[row].length; col++) {
				if (cats[row][col] != null) {
					answer += cats[row][col] + "\n";
				}
			}
		}

		System.out.println(answer);
	}
}